#### D.15.14.17 intRank

Procedure from library `multigrading.lib` (see multigrading_lib).

Usage:
  intRank(A); intmat A

Purpose:
  compute the rank of the integral matrix A
  by computing a hermite normalform.

Returns:
  int

Example:

    LIB "multigrading.lib";
    intmat A[3][4] =
    1,0,1,0,
    1,2,0,0,
    0,0,0,0;
    int r = intRank(A);
    print(A);
    ==>      1     0     1     0
    ==>      1     2     0     0
    ==>      0     0     0     0
    print(r); // Should be 2
    ==> 2
    // another example
    intmat B[2][2] =
    1,2,
    1,2;
    int d = intRank(B);
    print(B);
    ==>      1     2
    ==>      1     2
    print(d); // Should be 1
    ==> 1
    kill A, B, r, d;

User manual for Singular version 4.4.1, 2025, generated by texi2html.